Bug 561079 - [abrt] crash in firefox-3.5.6-1.fc12 @[add_java_method_to_class_descriptor]
Summary: [abrt] crash in firefox-3.5.6-1.fc12 @[add_java_method_to_class_descriptor]
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8ea9c4b6f2b4d81e1caded4b61b...
: 567003 570973 573655 580346 583972 585793 587962 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-02 16:26 UTC by Dimi Paun
Modified: 2010-12-03 23:26 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 23:26:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (84.82 KB, text/plain)
2010-02-02 16:27 UTC, Dimi Paun
no flags Details
gdb run info from 'stopped responding' event. (7.56 KB, text/plain)
2010-03-30 13:17 UTC, Walter
no flags Details

Description Dimi Paun 2010-02-02 16:26:59 UTC
abrt 1.0.4 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5.6/firefox http://www.claunia.com/qemu/
component: firefox
executable: /usr/lib/firefox-3.5.6/firefox
kernel: 2.6.31.12-174.2.3.fc12.i686.PAE
package: firefox-3.5.6-1.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Upload pictures on http://zipalong.com using the Java uploader

Comment 1 Dimi Paun 2010-02-02 16:27:01 UTC
Created attachment 388345 [details]
File: backtrace

Comment 2 Chris Campbell 2010-02-03 19:24:28 UTC
#3  <signal handler called>
No symbol table info available.
#4  0x05d424e1 in add_java_method_to_class_descriptor (cx=0xb408ac00, 
    jEnv=<value optimized out>, class_descriptor=<value optimized out>, 
    method_name_jstr=<value optimized out>, 
    java_method=<value optimized out>, 
    is_static_method=<value optimized out>, 
    is_constructor=<value optimized out>) at jsj_method.c:453
        methodID = <value optimized out>
        fun = <value optimized out>
        member_descriptor = 0x0
        sig_cstr = 0x0
        method_name = 0x0
        signature = 0x0
        specp = <value optimized out>
        method_spec = 0x0
#5  0x05d42765 in jsj_ReflectJavaMethods (cx=<value optimized out>, 
    jEnv=<value optimized out>, class_descriptor=<value optimized out>, 
    reflect_only_static_methods=<value optimized out>) at jsj_method.c:563
        method_name_jstr = <value optimized out>
        java_method = 0xb25ee538
        modifiers = <value optimized out>
        joConstructorArray = <value optimized out>
        num_methods = <value optimized out>
        num_constructors = <value optimized out>
        i = <value optimized out>
        ok = <value optimized out>
#6  0x05d3e088 in reflect_java_methods_and_fields (cx=<value optimized out>, 
    jEnv=<value optimized out>, class_descriptor=<value optimized out>, 
    reflect_statics_only=<value optimized out>) at jsj_class.c:558
        member_descriptor = <value optimized out>
        success = 1
#7  0x05d3e13c in jsj_GetClassInstanceMembers (cx=<value optimized out>, 
    jEnv=<value optimized out>, class_descriptor=<value optimized out>)
    at jsj_class.c:606
No locals.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Chris Campbell 2010-02-04 02:34:25 UTC
Martin/Matej, not really sure whether or not to pass this on as is. What should I ask for in these cases (java errors)? Anyway, setting keyword Triaged and assigning to Martin. Please fix as necessary.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 adriano 2010-02-19 15:00:59 UTC
firefox crash often when load a java applet

Comment 5 Chris Campbell 2010-02-22 14:15:48 UTC
*** Bug 567003 has been marked as a duplicate of this bug. ***

Comment 6 Chris Campbell 2010-03-06 20:58:35 UTC
*** Bug 570973 has been marked as a duplicate of this bug. ***

Comment 7 Chris Campbell 2010-03-16 19:46:07 UTC
*** Bug 573655 has been marked as a duplicate of this bug. ***

Comment 8 Doug Newcomb 2010-03-23 10:34:10 UTC

How to reproduce
-----
1.Go to the FCC broadband test site and run the test
2.After the test finishes, run the alternate test
3.After the alternate test finishes - crash

Comment 9 Martin Stransky 2010-03-23 10:46:11 UTC
Can you provide url of the FCC broadband test?

Comment 10 Doug Newcomb 2010-03-25 01:27:00 UTC
(In reply to comment #9)
> Can you provide url of the FCC broadband test?    

http://www.broadband.gov/qualitytest/about/

Comment 11 Walter 2010-03-30 05:03:11 UTC
I didn't actually get an abort this evening, but I did see this after a normal exit form the program.

Program received signal SIGPIPE, Broken pipe.
0x00671416 in __kernel_vsyscall ()

not sure if it helps or not, but I can probably reproduce it if needed.

Walter

Comment 12 Walter 2010-03-30 13:17:40 UTC
Created attachment 403488 [details]
gdb run info from 'stopped responding' event.

'Firefox stopped responding and had to be forced to quit.  I didn't get an trace info, but this is the information from the session.  I hope it helps.

Comment 13 g_crump2nd 2010-04-11 03:18:01 UTC

How to reproduce
-----
1.Random reproduction by closing via CTRL+Q or closing window
2.
3.


Comment
-----
Required to kill process in order to reopen Firefox

Comment 14 Chris Campbell 2010-04-20 18:57:13 UTC
*** Bug 583972 has been marked as a duplicate of this bug. ***

Comment 15 Chris Campbell 2010-05-02 00:43:32 UTC
*** Bug 585793 has been marked as a duplicate of this bug. ***

Comment 16 Chris Campbell 2010-05-02 00:43:46 UTC
*** Bug 580346 has been marked as a duplicate of this bug. ***

Comment 17 Chris Campbell 2010-05-02 00:44:15 UTC
*** Bug 587962 has been marked as a duplicate of this bug. ***

Comment 18 Bug Zapper 2010-11-03 23:15:07 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 19 Walter 2010-11-03 23:27:59 UTC
This bug can be closed.  

I believe it was caused by the airset connector that
was installed but supposedly inactive from a previous version of the software.
Once I discovered that it was still attempting to run, I removed it and I
stopped seeing the crashes.

Comment 20 Bug Zapper 2010-12-03 23:26:02 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.